Export (0) Print
Expand All
This topic has not yet been rated - Rate this topic

Troubleshooting BizTalk Server Migration

This section provides a centralized location for information about common problems encountered while migrating BizTalk applications from BizTalk Server 2006 R2 or BizTalk Server 2009 to BizTalk Server 2010.

Custom applications might not work while upgrading

Problem

While upgrading from BizTalk Server 2006 R2 or BizTalk Server 2009 to BizTalk Server 2010, some custom applications might not work.

Cause

All the BizTalk managed code components run on CLR 4.0. As these components are compiled against .NET Framework 4, they need a config file to run in CLR 4.0.

Solution

To resolve this issue, update the config file.

<configuration>
<startup useLegacyV2RuntimeActivationPolicy="true">
<supportedRuntime version="v4.0" />
</startup>
</configuration>

© 2010 Microsoft Corporation. All rights reserved.
Did you find this helpful?
(1500 characters remaining)
Thank you for your feedback

Community Additions

ADD
Show:
© 2014 Microsoft. All rights reserved.